Welcome to the viewMore help system!

viewMore is a universal viewer of multimedia (BLOB) database content.

viewMore is capable of displaying

  • audio
  • still images
  • text
  • video content
stored in your MS SQL Server / MySQL database.

The other major feature of viewMore is the ability to import and export any binary or text file or BLOB data to your storage engine. This includes .exe, .dll, .doc, .xls, .xml files, virtually any file of any size, as long as your storage engine is able to process it.
Furthermore, viewMore helps you manage your BLOB data by letting you delete, update and insert records anywhere in your tables.
Finally you can even use viewMore as a standalone viewer of such content for files on your computer or network, allowing you to preview the files you intend to store to the database.

viewMore is developed by viewMore Software


Features

Browse data, play video clips, listen to audio, view pictures, read text, import and export data to and from your database with ease.

Supported file formats:

  • images (*.jpg, *.bmp, *.gif, *.tga)
  • audio files (*.wav; *.mpa; *.mp2; *.mp3; *.au; *.aif; *.mid)
  • video files (*.avi; *.qt; *.mov; *.mpg; *.mpeg)
  • text files
Since version 1.2.0 viewMore supports MS SQL Server and MySQL Server.

The other major feature of viewMore is the ability to import and export any binary or text file or BLOB data to your storage engine. This includes .exe, .dll, .doc, .xls, .xml files, virtually any file of any size, as long as your storage engine is able to process it.
Furthermore, viewMore helps you manage your data by letting you delete, update and insert records anywhere in your tables.

viewMore has been tested with MS SQL Server™ 2000 and MySQL 4.x.x under MS Windows 2000 and MS Windows XP operating systems. There should be no problems using viewMore with MS SQL Server™ 7 and other MS Windows operating systems, provided that latest versions of Microsoft Data Access Components (MDAC) and MyODBC are installed together with Microsoft DirectX.

During development and testing we have achieved best results with MDAC 2.8, MyODBC 03.51 and DirectX 8. However, if newer versions are available you are generally advised to use these newer versions.


Usage guide

Using viewMore is easy and straightforward.

First you select the server you wish to connect to (MS SQL Server or MySQL) and supply login and password. You can also choose to select Win Authentication to try to connect to MS SQL Server through your Windows account.

Having connected to a server, press "Select database" button.

A list of available databases appears. Select one and proceed to "Select table" button.

Pressing it displays a list of the available user tables. Select one and proceed to "Select column" button.

This gives you a choice of the existing BLOB columns in the table structure, such as Text, nText and Image for MS SQL Server, and LongBlob, TinyBlob, Text etc for MySQL Server. When a column is selected, viewMore automatically tries to position itself on the first record in the selected table and renders the data.
If the data in the selected column is a still image it is immediately displayed. The same happens for text columns.

If the content is an audio or video stream, viewMore renders it and positions it on the first frame. Then you have to press the "Play/Pause" button in order to play the content. Press the "Play/Pause" button again to pause the stream or press the Stop button to stop and rewind it.
From here you can press the Next and Prev buttons to view the contents of the column in both directions. A status note in the left corner will inform you if you have reached the first or the last record. Another note above it displays the position of the record and total number of records in the table.
Note: Position information will only be available if the table is properly indexed.

If you press SHIFT button, the Prev button changes to First and Next button - to Last, providing a shortcut to moving to the first or last record in the table.


Right Mouse Button Operation

Clicking the right mouse button anywhere in the application window displays a popup menu. Selecting menu items "Load external multimedia file..." and "Load external text file..." allow you to use viewMore as a multimedia/text file viewer.

Selecting one of these menu items displays a dialog box from where you can select a file to be displayed by viewMore.
The next three popup menu items allow you to manage the data in the selected column: insert, update and delete rows.

The next item - "Save record to file..." allows you to save the current record to a file on your computer.

You can use the last item: "Options" to refine viewing and saving of text content that might be Unicode or RichText formated. Selecting it gives you the following options:

Select 'Raw text' to display the text in the way it is saved in the database. Select 'RTF text' if the text has additional formating information (rich text format):

Select 'ASCII' to try to save the text in plain 1 byte format. Select 'Unicode' to save the text in multibyte Unicode format


Trouble shooter

Question: I have selected database and table, but when I click 'Select Column' an empty dialog box appears.
Answer: viewMore will display only columns of types Text, nText and Image for MS SQL Server, TinyBlob, Blob, MediumBlob, LongBlob, TinyText, Text, MediumText, LongText for MySQL Server.

Question: I am browsing the database, but when I press SHIFT button the shortcuts First and Last do not appear.
Answer: Your table is not properly indexed, so no position information is available and this functionality is disabled.

Question: I am browsing the database, but I don't see information which is the current record.
Answer: Your table is not properly indexed, so no position information is available and this functionality is disabled.

Question: I cannot play a video clip, I get some sort of error.
Answer: Probably you need to install a codec for the video stream.

Question: I cannot view a picture stored in my database.
Answer: Probably the format is not supported, see Features.

Question: Is there support for other database engines, like Oracle or maybe Microsoft Access?
Answer: Not yet.

Question: I have another question not covered here.
Answer: Please contact us at support@viewmoresoft.com